<?php /* Copyright © 2010 Daniel B. Cristofani.

This file is part of dogtrak.

dogtrak is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

dogtrak is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with dogtrak. If not, see <http://www.gnu.org/licenses/>. */

require('./header.php');
$dbase=connect();

function add_service_type($dbase,$string){
	pg_query($dbase,"insert into service_types (id,description,default_price,ff_price) values (".$string.");");
}

add_service_type($dbase,"1,'half day of daycare','$18','$15'");
add_service_type($dbase,"2,'full day of daycare','$26','$20'");
add_service_type($dbase,"3,'5-half-day punch card','$85','$75'");
add_service_type($dbase,"4,'10-half-day punch card','$165','$140'");
add_service_type($dbase,"5,'20-half-day punch card','$315','$270'");
add_service_type($dbase,"6,'5-day punch card','$120','$110'");
add_service_type($dbase,"7,'10-day punch card','$225','$195'");
add_service_type($dbase,"8,'20-day punch card','$420','$370'");
add_service_type($dbase,"9,'late pickup fee','$6','$0'");
add_service_type($dbase,"10,'bath (0-30 pound dog)','$19','$17.10'");
add_service_type($dbase,"11,'bath (31-60 pound dog)','$22','$19.80'");
add_service_type($dbase,"12,'bath (61-90 pound dog)','$26','$23.40'");
add_service_type($dbase,"13,'bath (91+ pound dog)','$29','$26.10'");
add_service_type($dbase,"14,'extra fee for bath without daycare','$5','$4.50'");
add_service_type($dbase,"15,'nail trim','$9','$8.10'");
add_service_type($dbase,"16,'boarding (4x8 single occupancy)','$36','$30'"); 
add_service_type($dbase,"17,'boarding (4x8 double occupancy)','$65','$50'");
add_service_type($dbase,"18,'boarding (8x8 double occupancy)','$72','$60'");
add_service_type($dbase,"19,'boarding (dog family)','$28','$23'");
add_service_type($dbase,"20,'temperament evaluation','$10','$0'");
add_service_type($dbase,"21,'feeding','$3','$1'");
add_service_type($dbase,"22,'boarding deposit','$0','$0'");
add_service_type($dbase,"23,'late boarding pickup, half-day','$18','$15'");
add_service_type($dbase,"24,'late boarding pickup, full day','$26','$20'");
?>
Prices loaded from setup_prices.php.
<?php require ('./footer.php'); ?>
