<?php /* Copyright © 2010 Daniel B. Cristofani.

This file is part of dogtrak.

dogtrak is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

dogtrak is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with dogtrak. If not, see <http://www.gnu.org/licenses/>. */

require('./header.php');
$dbase=connect();
if(array_key_exists('accountid', $_REQUEST)){
        $accountid=$_REQUEST['accountid'];
} else if ($_POST['action']=="Add Account"){
        $temp=pg_query($dbase,"insert into accounts (id) values (default) returning id;");
        $accountid=pg_fetch_result($temp,'id');
} else {
	echo "Bug. Trying to show nonspecified account.".$br;
}
$action=$_POST['action'];
if ($action=="Add Dog"){
        move_uploaded_file($_FILES['picture']['tmp_name'],'./images/'.basename($_FILES['picture']['name']));
        $_POST['picture']=basename($_FILES['picture']['name']);
        add_dog($accountid,$dbase,$_POST);
        echo "Added dog!".$br;
} else if ($action=="Add Person"){
        add_person($accountid,$dbase,$_POST);
        echo "Added person!".$br;
} else if ($action=="Add Account"){
        move_uploaded_file($_FILES['picture']['tmp_name'],'./images/'.basename($_FILES['picture']['name']));
        $_POST['picture']=basename($_FILES['picture']['name']);
        add_dog($accountid,$dbase,$_POST);
        add_person($accountid,$dbase,$_POST);
}
$has_cleared_dog=0;
$accountresource=pg_query($dbase,"select * from accounts where id=$accountid;");
$accountdata= pg_fetch_assoc($accountresource, 0);
echo "Account #".ahref($accountid,"show_account.php?accountid=$accountid").$br;
echo "Human Contingent: ";
$persons=splitup($accountdata['people']);
$comma="";
foreach($persons as $personid){
        echo $comma.person_name_as_link($dbase,$personid);
        $comma=", ";
}
echo $br."Canine Contingent: ";
$dogs=splitup($accountdata['dogs']);
$comma="";
foreach($dogs as $dogid){
	if(is_cleared($dbase,$dogid)) $has_cleared_dog=1;
        echo $comma.dog_name_as_link($dbase,$dogid);
        $comma=", ";
}
echo $br;

?>
<form method="post" action="add_dog.php" />
<input type="hidden" name="accountid" value="<?php echo $accountid; ?>" />
<input type="submit" value="Add Another Dog?"/>
</form>
<form method="post" action="add_person.php" />
<input type="hidden" name="accountid" value="<?php echo $accountid; ?>" />
<input type="submit" value="Add Another Person?"/>
</form>

<?php if ($has_cleared_dog){
        echo punch_card_report($dbase,$accountid);
        ?>
        <form method="get" action="buy_punchcards.php">
        <input type="hidden" name="accountid" value="<?php echo $accountid; ?>" />
        <input type="submit" name="action" value="Buy Punch Cards" />
        </form><br />
<?php } ?>
<?php require ('./footer.php'); ?>
