<?php /* Copyright © 2010 Daniel B. Cristofani.

This file is part of dogtrak.

dogtrak is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

dogtrak is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with dogtrak. If not, see <http://www.gnu.org/licenses/>. */

require('./header.php');
$dbase=connect();

$dogid=$_GET['dogid'];
$today=date("Y-m-d");
if($_GET['action']=="Clear Dog for Daycare"&&$privilege>1){
	$problem=0;
	$dog_data=get_dog_data($dbase,$dogid);
	if(!$dog_data['fixed']){
		echo "This dog has not been spayed/neutered.".$br;
		$problem=1;
	}
	if(!$dog_data['bordetella']){
		echo "No info on bordetella vaccination.".$br;
		$problem=1;
	}
	//ETC!
	if(!$problem){
		pg_query($dbase,"update dogs  set cleared_for_daycare = 'now' where id=$dogid;");
		echo "Okay, ".dog_name_as_link($dbase,$dogid)." is cleared for daycare as of now.".$br.$br;
	} else {
		?>
        	<form method="get" action="show_dog.php">
        	<input type="hidden" name="dogid" value="<?php echo $dogid; ?>" />
        	<input type="submit" name="action" value="Clear Dog for Daycare Anyway" />
        	</form>
		<?php
	}
} else if ($_GET['action']=="Clear Dog for Daycare Anyway"&&$privilege>2){
	pg_query($dbase,"update dogs  set cleared_for_daycare = 'now' where id=$dogid;");
	echo "Okay, ".dog_name_as_link($dbase,$dogid)." is cleared for daycare as of now.".$br.$br;
}
$dogdata=get_dog_data($dbase,$dogid);
echo "Name: ".$dogdata['name'].$br;
if ($dogdata['picture']){
	echo "<img src=\"".$dogdata['picture']."\">".$br;
}
echo "Breed: ".$dogdata['breed'].$br;
echo "Sex: ".$dogdata['sex'].$br; 
echo "Weight: ".$dogdata['weight'].$br;
echo "Birthday: ".$dogdata['birthdate'].$br;
if ($dogdata['deathdate']){
	echo "Died on ".$dogdata['deathdate'].$br;
}
echo "Allergies: ".$dogdata['allergies'].$br;
echo "Vet: "."Not implemented yet.".$br;
echo "Microchip: ";
if ($dogdata['microchip']=='t'){
	echo "Yes";
} else {
	echo "No";
}
echo $br."Spayed or Neutered: ";
if ($dogdata['fixed']=='t'){
	echo "Yes";
	if($dogdata['fixdate']) echo ", on ".$dogdata['fixdate'];
	echo $br;
} else {
	echo "Not yet.".$br;
}
echo "Vaccines: Bordetella ".$dogdata['bordetella'].", Distemper/Parvo ".$dogdata['distemper'].", Rabies ".$dogdata['rabies'].".".".$br.$br;

$accountid=$dogdata['accountid'];
$account_data=get_account_data($dbase,$accountid);
echo $dogdata['name']." is on account #".ahref($accountid,"show_account.php?accountid=$accountid").", which consists of ";

$persons=splitup($account_data['people']);
$comma="";
foreach($persons as $personid){
	$persondata=get_person_data($dbase,$personid);
	echo $comma.ahref($persondata['firstname']." ".$persondata['lastname'],"show_person.php?personid=$personid");
	$comma=" and ";
}
echo " and ";
$dogs=splitup($account_data['dogs']);
$comma="";
foreach($dogs as $dogid2){
        $dog_data=get_dog_data($dbase,$dogid2);
	if(!$dog_data['deathdate']){
        	echo $comma.ahref($dog_data['name'],"show_dog.php?dogid=$dogid2");
		$comma=" and ";
	}
}
echo ".".$br;



echo $br;

$daycare_day_resource=pg_query($dbase, "select * from daycare_days where (dogid=$dogid);");
if (pg_num_rows($daycare_day_resource)) echo "Daycare scheduled for ";
$comma="";
for($i=0;$i<pg_num_rows($daycare_day_resource);$i++){
	$daycare_day_data=pg_fetch_assoc($daycare_day_resource,$i);
	$date=$daycare_day_data['date'];	
	echo $comma.ahref("$date","show_daycare_day.php?dogid=$dogid&date=$date");
	$comma=" and ";
//Let's actually sort these maybe when adding them. But low priority.
}

//LET'S MAYBE HAVE IT LIKE THIS. IF THEY'RE CHECKED IN, WE GIVE THEM A CHECK-OUT BUTTON. IF THEY'RE NOT CHECKED IN, WE GIVE THEM THREE CHECK-IN BUTTONS, AND LABEL THEM CAREFULLY. SERVICE-ONLY, DAYCARE, BOARDING. LABELED AS UNSCHEDULED OR SCHEDULED. oR BETTER YET, ANYTHING SCHEDULED OVERRIDES THE OTHER? lIKE, IF SCHEDULED FOR BOARDING WE DON'T GIVE THEM EVEN AN UNSCHEDULED DAYCARE CHECK-IN OPTION? nOT SURE. In any case we should give them check-in buttons directly from the daily schedule, for anything that's scheduled. Those should be in a separate section. Also check-out buttons for all dogs present.

if ($status=is_checked_in($dbase,$dogid)){
	?>
	<form method="get" action="billing.php">
	<input  type="hidden" name="dogid" value="<?php echo $dogid; ?>" />
	<input type="submit" name="action" value="<?php
	if ($status==1) echo "Check out from Daycare";
	else if ($status==2) echo "Check out from Boarding";
	else if ($status==3) echo "Check out after Service-Only Visit";
	?>" />
	</form><br /><?php
} else {
	?>
	<form method="get" action="checked_in.php">
	<input type="hidden" name="dogid" value="<?php echo $dogid; ?>" />

        <?php
        if (($boarding=get_boarding_stay_data($dbase,$dogid,$today))&&!($boarding['when_checked_out']||$boarding['cancelled'])){
                ?><input type="submit" name="action" value="CHECK IN FOR SCHEDULED BOARDING STAY" /><?php
        }
        if(get_daycare_day_data($dbase,$dogid,$today)){
                ?><input type="submit" name="action" value="CHECK IN FOR SCHEDULED DAYCARE" /><?php
        } else if (is_cleared($dbase,$dogid)){
                ?><input type="submit" name="action" value="Check in for Daycare" /><?php
        }
        ?><input type="submit" name="action" value="Check in for Service-ONLY Visit" />
	</form><br /><?php
}
?>
<?php if (is_cleared($dbase,$dogid)){
	echo punch_card_report($dbase,$accountid);
	?>
	<form method="get" action="schedule.php">
	<input type="hidden" name="dogid" value="<?php echo $dogid; ?>" />
	<input type="submit" name="action" value="Schedule Daycare" />
	<input type="submit" name="action" value="Schedule Boarding" />
	</form><br />
	<form method="get" action="buy_punchcards.php">
        <input type="hidden" name="accountid" value="<?php echo $accountid; ?>" />
	<input type="submit" name="action" value="Buy Punch Cards" />
	</form><br />
<?php } else if ($privilege>1){ ?>
	<form method="get" action="show_dog.php">
	<input type="hidden" name="dogid" value="<?php echo $dogid; ?>" />
	<input type="submit" name="action" value="Clear Dog for Daycare" />
	</form>
<?php } ?>
<?php require ('./footer.php'); ?>
