<?php /* Copyright © 2010 Daniel B. Cristofani.

This file is part of dogtrak.

dogtrak is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

dogtrak is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with dogtrak. If not, see <http://www.gnu.org/licenses/>. */

require('./header.php');
$dbase=connect();

$personid=$_GET['personid'];
$today=date("Y-m-d");
$persondata=get_person_data($dbase,$personid);
echo "Name: ";
$name="";
if($persondata['firstname']) $name=$persondata['firstname']." ";
if($persondata['middlename']) $name=$name.$persondata['middlename']." ";
$name=$name.$persondata['lastname'];
echo $name.$br;
echo "Address: ".$br.$persondata['address1'].$br;
echo $persondata['city']." ".$persondata['state']."  ".$persondata['zip'].$br;
echo "Email: ".$persondata['email'].$br;
echo "Daytime Phone: ".$persondata['dayphone'].$br;
echo "Evening Phone: ".$persondata['evephone'].$br;

$accountids=$persondata['accountids'];
$accounts=splitup($accountids);
foreach ($accounts as $accountid){
	$account_data=get_account_data($dbase,$accountid);
	echo $name." is on account #".ahref($accountid,"show_account.php?accountid=$accountid").", which consists of ";

	$persons=splitup($account_data['people']);
	$comma="";
	foreach($persons as $personid){
		$persondata=get_person_data($dbase,$personid);
		echo $comma.ahref($persondata['firstname']." ".$persondata['lastname'],"show_person.php?personid=$personid");
		$comma=" and ";
	}
	echo " and ";
	$dogs=splitup($account_data['dogs']);
	$comma="";
	foreach($dogs as $dogid2){
        	$dog_data=get_dog_data($dbase,$dogid2);
		if(!$dog_data['deathdate']){
        		echo $comma.ahref($dog_data['name'],"show_dog.php?dogid=$dogid2");
			$comma=" and ";
		}
	}
	echo ".".$br;
}


echo $br;

require ('./footer.php'); ?>
