<?php /*Copyright © 2010 Daniel B. Cristofani.

This file is part of dogtrak.

dogtrak is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

dogtrak is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with dogtrak. If not, see <http://www.gnu.org/licenses/>. */

require ('./header.php'); ?>
<?php
$dbase=connect();
$done=0;
if($_POST['action']=="Add User"){
	$newusername=addslashes($_POST['username']);
	$newpassword=$_POST['password'];
	$newpassword2=$_POST['password2'];
	$newprivilege=$_POST['privilege'];
	if(!$newusername){
		echo "I need a username.".$br.$br;
	} else if (!$newpassword || strlen($newpassword)<6){
		echo "I need a password that's at least 6 characters long.".$br.$br;
	} else if ($newpassword !== $newpassword2){
		echo "Those two passwords were not the same. Try again?".$br.$br;
	} else if (!is_numeric($newprivilege)||$newprivilege<0||$newprivilege>99){
		echo "Privilege must be a number from 0 to 99.".$br;
	} else {
		$user_table_res=pg_query($dbase,"select * from information_schema.tables where table_name='users';");
		if(!$user_table_res) die("Lost database connection");
		if(pg_num_rows($user_table_res)){//USER DATABASE EXISTS
			$user_list_res=pg_query($dbase,"select * from users;");
			if(!$user_list_res) die("Lost database connection");
			if(pg_num_rows($user_list_res)){//USERS DATABASE HAS AT LEAST ONE USER.
				$user_res=pg_query($dbase,"select * from users where username='$username';");
       				if($user_res&&pg_num_rows($user_res)==1){
       	                		$user_data=pg_fetch_assoc($user_res,0);
                        		$privilege=$user_data['privilege'];
					if($newprivilege>$privilege-1) {
						$newprivilege=$privilege-1;
					}
					if($newprivilege>=0){
                				$new_user_res=pg_query($dbase,"insert into users (id,username,privilege,password) values (default,'$newusername',$newprivilege,md5('$newpassword')) returning id;");
						if($new_user_res&&pg_num_rows($new_user_res)){
                        				echo "Okay! I've set up an account for $newusername with privilege $newprivilege.".$br;    
                        				$done=1;       
                				} else {       
                        				echo "Problem creating new user. Please report.".$br;       
                				}//FOR INSTANCE, MIGHT BE A DUPLICATE USERNAME. CHECK BEFORE.
					} else {
						echo "Sorry, your privilege is too low to make users.".$br;
					}
				} else {
					echo "Sorry, couldn't find you in the database.".$br;
				}
			} else {//NEW USER IS FIRST USER AND CAN SUIT HIMSELF.
                		$new_user_res=pg_query($dbase,"insert into users (id,username,privilege,password) values (default,'$newusername',$newprivilege,md5('$newpassword')) returning id;");
                        	if($new_user_res&&pg_num_rows($new_user_res)){
                        		echo "Okay! I've set up an account for $newusername with privilege $newprivilege.".$br;    
                                	$done=1;       
                        	} else {       
                                	echo "Problem creating new user. Please report.".$br;       
                        	}//FOR INSTANCE, MIGHT BE A DUPLICATE USERNAME. CHECK BEFORE.      
			}
		} else {
			echo "Users database does not exist yet. You need to create it first.".$br;
		}
	}
}
if(!$done){
	?>
	<form method="post" action="add_user.php" />
	Username:<input type="text" size="32" name="username" /><br />
	Password:<input type="password" size="64" name="password" /><br />
        Password again:<input type="password" size="64" name="password2" /><br />
	Privilege (0-99):<input type="text" size="2" name="privilege" /><br />
	<input type="submit" name="action" value="Add User"/><br />
	</form>
	<?php
}
?>
<?php require ('./footer.php'); ?>
