<?php /* Copyright © 2010 Daniel B. Cristofani.

This file is part of dogtrak.

dogtrak is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

dogtrak is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with dogtrak. If not, see <http://www.gnu.org/licenses/>. */

require('./header.php');
$dbase=connect();

$today=date("Y-m-d");
$now=date("Y-m-d H:i:s.u");
$action=$_GET['action'];
if($action=="Check out from Daycare"||$action=="Check out from Boarding"||$action=="Check out after Service-Only Visit"){
	$dogid=$_GET['dogid'];
	$dog_data=get_dog_data($dbase,$dogid);
	$accountid=$dog_data['accountid'];
	$boarding_stay_res=pg_query($dbase,"select * from boarding_stays where dogid = $dogid and when_checked_in is not null and when_checked_out is null;");
	if(pg_num_rows($boarding_stay_res)){
		$boarding_stay_data=pg_fetch_assoc($boarding_stay_res,0);
		$boarding_stay_id=$boarding_stay_data['id'];
		$bill_item_id=$boarding_stay_data['bill_item_id'];
		pg_query($dbase,"update boarding_stays set when_checked_out = 'now' where id = $boarding_stay_id;");
		pg_query($dbase,"update bill_items set (when_billed, when_due) = ('now','today') where id = $bill_item_id;");
		$current_time=getdate();
		$minutes=$current_time['hours']*60+$current_time['minutes'];

		//MAKE THIS NEXT PART FOR EVERY DOG WHEN WE DO MULTIDOG BOARDING LATER.
		if($minutes>805){//After 1:25 PM (nominally 1)
			pg_query($dbase,"insert into bill_items (id,service_code,boarding_stay,accountid,dogid,date,when_billed,when_due) values (default,24,$boarding_stay_id,$accountid,$dogid,'today','now','today');");
			if($minutes>1115 && $current_time['wday']>=1&&$current_time['wday']<=5
				//After 6:35 on weekdays--nominally 6:15
                	||$minutes>1040 &&($current_time['wday']==0||$current_time['wday']==6)){
                        	//After 5:20 on weekends--nominally 5:00
                        	pg_query($dbase,"insert into bill_items (id,service_code,boarding_stay,accountid,dogid,date,when_billed,when_due) values (default,9,$boarding_stay_id,$accountid,$dogid,'today','now','today');");
                	}
		} else if($minutes>625){//After 10:25 AM (nominally 10)
                        pg_query($dbase,"insert into bill_items (id,service_code,boarding_stay,accountid,dogid,date,when_billed,when_due) values (default,23,$boarding_stay_id,$accountid,$dogid,'today','now','today');");
		}
	}
	$daycare_day_res=pg_query($dbase,"select * from daycare_days where dogid=$dogid and when_checked_in is not null and when_checked_out is null;");
	if(pg_num_rows($daycare_day_res)){
		//SOMEWHERE AROUND HERE WE SHOULD USE PUNCHCARDS UP.
		$daycare_day_data=pg_fetch_assoc($daycare_day_res,0);
		$daycare_day_dogid=$daycare_day_data['dogid'];
		$daycare_day_date=$daycare_day_data['date'];
		$bill_item_id=$daycare_day_data['bill_item_id'];
		pg_query($dbase,"update daycare_days set when_checked_out = 'now' where dogid = $daycare_day_dogid and date = '$daycare_day_date';");
		$current_time=getdate();
		$minutes=$current_time['hours']*60+$current_time['minutes'];
		$checkintime=date_parse($daycare_day_data['when_checked_in']);
		$checkin_minutes=$checkintime['hour']*60+$checkintime['minute'];
		if($minutes-$checkin_minutes>=360){
			pg_query($dbase,"update bill_items set (service_code, when_billed, when_due) = (2,'now', 'today') where id = $bill_item_id;");
		} else {
			pg_query($dbase,"update bill_items set (service_code, when_billed, when_due) = (1,'now', 'today') where id = $bill_item_id;");
		} 
		if($minutes>1115 && $current_time['wday']>=1&&$current_time['wday']<=5
			//After 6:35 on weekdays--nominally 6:15
		||$minutes>1040 &&($current_time['wday']==0||$current_time['wday']==6)){
			//After 5:20 on weekends--nominally 5:00
			pg_query($dbase,"insert into bill_items (id,service_code,accountid,dogid,date,when_billed,when_due) values (default,9,$accountid,$dogid,'today','now','today');");
		}
	}//DO WE WANT STRONGER PROTECTIONS AGAINST A DOG BEING CHECKED IN TO TWO STAYS AT ONCE. SOMEWHERE.
		//ALSO DO WE WANT TO BE CHECKING ALL THESE ERROR CODES FOR PG_QUERY AND THROWING AN EXCEPTION.
	$service_visit_res==pg_query($dbase,"select * from service_visits where dogid=$dogid and when_checked_in is not null and when_checked_out is null;");
        if($service_visit_res&&pg_num_rows($service_visit_res)){
                $service_visit_data=pg_fetch_assoc($service_visit_res,0);
		$service_visit_id=$service_visit_data['id'];
                pg_query($dbase,"update service_visits set when_checked_out = 'now' where id = $service_visit_id;");
	}
} else if ($action=="Buy Punch Card"){
	$accountid=$_GET['accountid'];
	if($type=$_GET['type']){
		if($type>=3&&$type<=5){
			$half_day="yes";
		} else if($type>=6&&$type<=8){
			$half_day="no";
		} else {
			echo "Bug. Very strange!".$br;
			die();
		}
		if($type==3||$type==6){
			$punches=5;
		} else if ($type==4||$type==7){
			$punches=10;
		} else if ($type==5||$type==8){
			$punches=20;
		} else {
			echo "WEIRD!".$br;
			die();
		}
		$array=cost($dbase,$dogid,$type,0,$accountid,$now,$now);
		$cost=$array['cost'];
		$explanation=$array['explanation'];
		$bill_item_res=pg_query($dbase,"insert into bill_items (id,service_code,explanation,accountid,date,cost,when_billed,when_due) values (default,$type,'$explanation',$accountid,'$today','$cost','now','now') returning id;");
		$bill_item_data=pg_fetch_assoc($bill_item_res,0);
		$bill_item_id=$bill_item_data['id'];
		$punch_card_res=pg_query($dbase,"insert into punch_cards (id,accountid,bill_item_id,num_remaining,when_created,half_day) values (default,$accountid,$bill_item_id,$punches,'now', '$half_day') returning id;");
	} else {
		echo "Bug: Tried to buy punchcards without specifying a type.".$br;
		die();
	}
}
$bill_items_res=pg_query($dbase,"select * from bill_items where accountid=$accountid and when_paid is null and when_billed is not null;");
echo "<form method=\"post\" action=\"billing.php\"><table>";
echo "<tr>".td("Service").td("Dog").td("Date").td("Cost").td("Due").td("Pay now?")."</tr>";
for($i=0;$i<pg_num_rows($bill_items_res);++$i){
	$bill_item_data=pg_fetch_assoc($bill_items_res,$i);
	if(!$bill_item_data['cost']){//TRICKY! WE WANT TO DIFFERENTIATE COST=0 from COST=NULL. WEIRD.
					//THOUGH DO WE REALLY WANT ANY 0 BILL_ITEMS? WE COULD FILTER THEM JUST ABOVE.
		$code=$bill_item_data['service_code'];
		$bill_item_id=$bill_item_data['id'];
		if($code>=16&&code<=19||code==21){//BOARDING STAY
			$boarding_stay_data=get_boarding_stay_data_by_id($dbase,$bill_item_data['boarding_stay']);
			$start=$boarding_stay_data['when_checked_in'];
			$end=$boarding_stay_data['when_checked_out'];
		} else {
			$start=$end=$bill_item_data['when_billed'];
		}
		$costs=cost($dbase,$dogid,$code,$bill_item_data['id'],$accountid,$start,$end);
		//IT'S THE CURRENT ACCOUNT? OR? REMEMBER THE DAD BUYING THINGS FOR HIS DAUGHTER.
		$expl=$costs['explanation'];
		$cost='\$'.$costs['cost'];
		pg_query($dbase,"update bill_items set (explanation,cost) = ('$expl','$cost') where id=$bill_item_id;");
		$this_item_res=pg_query($dbase,"select * from bill_items where id=$bill_item_id;");
		$bill_item_data=pg_fetch_assoc($this_item_res,0);
	}
	echo "<tr>";
	echo td($bill_item_data['explanation']);
	if($bill_item_data['dogid']){
		echo td(dog_name_as_link($dbase,$bill_item_data['dogid']));
	} else {
		echo td("");
	}
	if ($bill_item_data['date'])echo td($bill_item_data['date']); else echo td("");
	echo td($bill_item_data['cost']);
	echo td($bill_item_data['when_due']);
	?>
	<td><input type="checkbox" name="item[]" value="<?php echo $bill_item_data['id']; ?>" checked /></td></tr><?php
}
echo "</form></table>";

echo "This account consists of ";
$account_data=get_account_data($dbase,$accountid);
$persons=splitup($account_data['people']);
$comma="";
foreach($persons as $personid){
	$persondata=get_person_data($dbase,$personid);
	echo $comma.ahref($persondata['firstname']." ".$persondata['lastname'],"show_person.php?personid=$personid");
	$comma=" and ";
}
echo " and ";
$dogs=splitup($account_data['dogs']);
$comma="";
foreach($dogs as $dogid2){
        $dog_data=get_dog_data($dbase,$dogid2);
	if(!$dog_data['deathdate']){
        	echo $comma.ahref($dog_data['name'],"show_dog.php?dogid=$dogid2");
		$comma=" and ";
	}
}
echo ".".$br;



echo $br;

?>
<?php require ('./footer.php'); ?>
