<?php /* Copyright © 2010 Daniel B. Cristofani.

This file is part of dogtrak.

dogtrak is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

dogtrak is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with dogtrak. If not, see <http://www.gnu.org/licenses/>. */

require('./header.php');
$today=date("Y-m-d");
if($_GET['action']=="Done!"){
	$serviceid=$_GET['serviceid'];
	pg_query($dbase,"update services set what_time_done = 'now' where (id = $serviceid);");
	$service_data=get_service_data($dbase,$serviceid);
	$dogid=$service_data['dogid'];
	$accountid=$service_data['accountid'];
	$service_code=$service_data['service_code'];
	if($service_code==15||($service_code>=10&&$service_code<=13)||$service_code==21){
		$bill_item_id=$service_data['bill_item_id'];
		pg_query($dbase,"update bill_items set (when_billed,when_due) = ('now','today') where id=$bill_item_id;");
	}//LET'S ASSUME FOR SIMPLICITY THAT ALL BATH BILLS ARE DUE THAT DAY. FORGETTING THAT THEY MAY BE OUT OF TOWN.
		//THIS SHOULD BE FIXED LATER.
		//ALSO WE MAY OR MAY NOT WANT TO JUST TO THIS WITH ALL SERVICES.
		//WE PROBABLY WANT SEPARATE CODES FOR 1. NON-DOG-SPECIFIC SERVICES THAT AREN'T CHARGED TO ANYONE. (THOUGH THEY WILL JUST NOT SHOW UP ANYWAY). 2. DOG-SPECIFIC UNUSUAL SERVICES WHICH ARE MARKED TYPE 0. 3. DOG-SPECIFIC SERVICES THAT DON'T GET CHARGED, LIKE MEDS. CAN WE JUST PUT ALL THAT AT 0?

}
echo "<table>";
$boarding_stay_res=pg_query($dbase,"select * from boarding_stays where when_checked_in is null and start_date <= 'now';"); 
for ($i=0;$i<pg_num_rows($boarding_stay_res);$i++){
        $staydata= pg_fetch_assoc($boarding_stay_res, $i);
	//Yo. Do boarding stay once we have the multi-dog thing figured out right.

}
$daycare_res=pg_query($dbase,"select * from daycare_days where when_checked_in is null and date = 'now';");
for ($i=0;$i<pg_num_rows($daycare_res);$i++){
        $daycare_data= pg_fetch_assoc($daycare_res, $i);
	echo "<tr>";
	echo td("Daycare scheduled for");
	echo td(dog_name_as_link($dbase,$daycare_data['dogid']));
	?>
	<td>
	<form method="get" action="checked_in.php">
	<input type="hidden" name="dogid" value="<?php echo $daycare_data['dogid']; ?>" />
	<input type="submit" name="action" value="Check in for Daycare" />
	</form>
	</td>
	<?php
}
$visits_res=pg_query($dbase,"select * from service_visits where when_checked_in is null and date = 'now';");
for ($i=0;$i<pg_num_rows($visits_res);$i++){
        $visit_data= pg_fetch_assoc($visits_res, $i);
        echo "<tr>";
        echo td("Daycare scheduled for");
        echo td(dog_name_as_link($dbase,$visit_data['dogid']));
        ?>
        <td>
        <form method="get" action="checked_in.php">
        <input type="hidden" name="dogid" value="<?php echo $visit_data['dogid']; ?>" />
        <input type="submit" name="action" value="Check in for Service-ONLY Visit" />
        </form>
        </td>
        <?php
}
echo "</table>";
$service_list_res=pg_query($dbase,"select * from services where (date = '$today') order by what_time_scheduled_for;");
echo "<table>";
for($i=0;$i<pg_num_rows($service_list_res);$i++){
	$service_data=pg_fetch_assoc($service_list_res,$i);
	echo "<tr>";
	$done=$done2="";
	if($service_data['what_time_done']||$service_data['cancelled']){
		$done="<s>";
		$done2="</s>";
	}
	if($code=$service_data['service_code']){
		$service_type_data=get_service_type_data($dbase,$code);
		$description=$service_type_data['description'];
	} else {
		$description=$service_data['comment'];
	}
	echo td($done.$description.$done2);
	if ($service_data['dogid']){
		echo td($done.dog_name_as_link($dbase,$service_data['dogid']).$done2);
	} else {
		echo td("");
	}
	echo td($done.$service_data['what_time_scheduled_for'].$done2);
	if($service_data['what_time_done']||$service_data['cancelled']){
		echo td("");
	} else {
		?>
		<td><form method=\"get\" action="daily_schedule.php">
		<input type="hidden" name="serviceid" value="<?php echo $service_data['id']; ?>" />
		<input type="submit" name="action" value="Done!" />
		</form></td>
		<?php
	}
	
	echo "</tr>";
}
echo "</table>";
?>
<?php require ('./footer.php'); ?>
