<?php /* Copyright © 2010 Daniel B. Cristofani.

This file is part of dogtrak.

dogtrak is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

dogtrak is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with dogtrak. If not, see <http://www.gnu.org/licenses/>. */

$business_name="Central Bark";

$br = "<br />";

function connect(){
        $dbase=pg_connect ("host='white-flipper.cs.pdx.edu' dbname='cristofd' user='testuser2'");
        if (!$dbase) die("Can't open database!");
        return($dbase);
}

function money_to_float($string){
	return strtok($string,"$");
}

function show_money($i){
	if(1<0){
		return sprintf("($%.2f)",-$i);
	} else {
		return sprintf("$%.2f",$i);
	}
}

function td($string){
        return "<td>$string</td>";
}

function ahref($string,$link){
	return "<a href=\"$link\">$string</a>";
}

function td_link($string,$link){
	return td(ahref($string,$link));
}

function td_mult($array){
	$return="<td>";
	if(list(, $item) = each($array)){
		$return = $return.$item;
	}
	while(list(, $item) = each($array)){
		$return=$return.", $item";
	}
	return $return."</td>";
}

function splitup($string){
        $item=strtok($string, ", {}");
        while($item!==false){
		$return[]=$item;
                $item=strtok(", {}");
        }
	if (is_array($return)) return $return;
	else return array();
} 

function service_name_as_link($dbase,$service_id){
        $serviceresource=pg_query($dbase,"select * from services where (id = $service_id);");
        $servicedata=pg_fetch_assoc($serviceresource,0);
        return "<a href=\"show_service.php?service_id=$service_id\">".$servicedata[ 'what_service']."</a>";
}//UPDBATE!

function service_names_as_links($dbase, $idstring){
        $serviceids=splitup($idstring);
        $return="";
        foreach($serviceids as $serviceid){
                $return=$return.service_name_as_link($dbase,$serviceid)." ";//FIX TO AVOID FINAL ONE LATER. ACTUALLY PROBABLY WANT A FUNCTION FOR THAT. CONCAT-WITH-SPACES or something.
        }
        return $return;
}

function dog_name_as_link($dbase,$dogid){
        $dogresource=pg_query($dbase,"select * from dogs where (id = $dogid);");
        $dogdata=pg_fetch_assoc($dogresource,0);
        return "<a href=\"show_dog.php?dogid=$dogid\">".$dogdata['name']."</a>";
}

function person_name_as_link($dbase,$id){
        $person_res=pg_query($dbase,"select * from people where (id = $id);");
        $person_data=pg_fetch_assoc($person_res,0);
        return ahref($person_data['firstname']." ".$person_data['lastname'],"show_person.php?personid=$id");
}

function add_dog($accountid,$dbase,$p){
	$items=array('breed','sex','birthdate','picture','microchip','fixed','fix_date','bordetella','distemper','rabies','allergies');
	$temp=pg_query($dbase,"insert into dogs (id,accountid,name) values (default,$accountid,'".$p['name']."') returning id;");
	$dogid=pg_fetch_result($temp,'id');
	foreach ($items as $item){
		if ($p["$item"]){
			pg_query($dbase,"update dogs set $item = ('".$p["$item"]."') where id = $dogid;");
		}else {
			//REPORT, WHEN WE'RE IN PRODUCTION.
		}
	}
	pg_query($dbase,"update accounts set dogs = (dogs || $dogid) where id = $accountid;");
}

function add_person($accountid, $dbase,$p){
	$items=array('firstname','middlename','address1','city','state','zip','email','dayphone','evephone');
        $temp=pg_query($dbase,"insert into people (id,accountids,lastname) values (default,'{ $accountid}','".$p['lastname']."') returning id;");
        $personid=pg_fetch_result($temp,'id');
        foreach ($items as $item){
                if ($p["$item"]){
                        pg_query($dbase,"update people set $item = ('".$p["$item"]."') where id = $personid;");
                } else {
			//REPORT, WHEN WE'RE IN PRODUCTION.
                }
        }
        pg_query($dbase,"update accounts set people = (people || $personid) where id = $accountid;");
}

function add_daycare_day($dogid,$date,$dbase){
	$dogdata=get_dog_data($dbase,$dogid);
	if (!$dogdata['cleared_for_daycare']){
		return 2;
	} else{
		$daycare_day_data=get_daycare_day_data($dbase,$dogid,$date);
		if ($daycare_day_data){
			return 1;//ALREADY EXISTS! Not checked though.
		} else {
			$accountid=$dogdata['accountid'];
			$bill_id_res=pg_query($dbase,"insert into bill_items (id,accountid,dogid,date) values (default,$accountid,$dogid,'$date') returning id;");
			$bill_item_id=pg_fetch_result($bill_id_res,'id');
			pg_query($dbase,"insert into daycare_days (dogid,date,when_scheduled,bill_item_id) values ($dogid,'$date','now',$bill_item_id);");
			return 0;
		}
	}
}

function add_service_visit($dogid,$date,$dbase){
        $dogdata=get_dog_data($dbase,$dogid);
        $visit_data=get_service_visit_data($dbase,$dogid,$date);
        if ($visit_data){
                return 1;//ALREADY EXISTS! Not checked though.
        } else {
                pg_query($dbase,"insert into service_visits (dogid,date,when_scheduled) values ($dogid,'$date','now');");
                return 0;
        }
}

function add_boarding_stay($dogid,$startjd,$endjd,$start_time,$end_time,$dbase){//WE'LL WANT TO ADD START AND END TIMES LATER.
        $dogdata=get_dog_data($dbase,$dogid);
        if (!$dogdata['cleared_for_daycare']){
                return 2;
        } else{
		$overlapping_stays=pg_query($dbase,"select * from boarding_stays where (dogid = $dogid and 'J$startjd' <= end_date and 'J$endjd' >= start_date);");
		if (pg_num_rows($overlapping_stays)){
			return 1;//CHANGE THOSE, DON'T ADD A NEW ONE.
			//MAYBE WE WANT TO REPORT THE SPECIFIC STAY? LATER.
		} else {
			$boarding_stay_id_resource=pg_query($dbase,"insert into boarding_stays (id,dogid,start_date,end_date,start_time,end_time,when_scheduled) values (default,$dogid,'J$startjd','J$endjd','$start_time','$end_time','now') returning id;");
			$boarding_stay_id=pg_fetch_result($boarding_stay_id_resource,'id');
                        $accountid=$dogdata['accountid'];
                        $bill_id_res=pg_query($dbase,"insert into bill_items (id,accountid,boarding_stay,dogid,date) values (default,$accountid,$boarding_stay_id,$dogid,'J$startjd') returning id;");
			$bill_item_id=pg_fetch_result($bill_id_res,'id');
			pg_query($dbase,"update boarding_stays set bill_item_id = $bill_item_id where (id = $boarding_stay_id);");
			//ADD DEPOSIT. COMPUTE IT, AND MAKE IT PAYABLE NOW!
			return 0;
		}
//WE NEED TO PUT ELSEWHERE THAT IF THEY CHECK IN A BOARDING DOG LATE ENOUGH, THEY GET FREEE DAYCARE THE END DAY.
	}
}

function add_standard_service($dogid,$date,$service_code,$dbase){
	//We take the theory that the TIME is not likely to be scheduled until the morning of, by the staff.
	$dogdata=get_dog_data($dbase,$dogid);
	$accountid=$dogdata['accountid'];
	$service_id_res=pg_query($dbase,"insert into services (id,dogid,accountid,date,when_scheduled,service_code)"
		."values (default, $dogid, $accountid, '$date','now','$service_code') returning id;");
	$service_id=pg_fetch_result($service_id_res,'id');
        $bill_id_res=pg_query($dbase,"insert into bill_items (id,accountid,service_code,dogid,date) values (default,$accountid,$service_code,$dogid,'$date') returning id;");
        $bill_item_id=pg_fetch_result($bill_id_res,'id');
        pg_query($dbase,"update services set bill_item_id = $bill_item_id where (id = $service_id);");
	return $service_id;
}

function add_nonstandard_service($dogid,$date,$comment,$dbase){
        //We take the theory that the TIME is not likely to be scheduled until the morning of, by the staff.
        $dogdata=get_dog_data($dbase,$dogid);
        $accountid=$dogdata['accountid'];
        $service_id_res=pg_query($dbase,"insert into services (id,dogid,accountid,date,when_scheduled,service_code,comment)"
                ."values (default, $dogid, $accountid, '$date','now',0,'$comment') returning id;");
        $service_id=pg_fetch_result($service_id_res,'id');
        $bill_id_res=pg_query($dbase,"insert into bill_items (id,accountid,service_code,explanation,dogid,date) values (default,$accountid,$0,'$comment',$dogid,'$date') returning id;");
        $bill_item_id=pg_fetch_result($bill_id_res,'id');
        pg_query($dbase,"update services set bill_item_id = $bill_item_id where (id = $service_id);");
        return $service_id;
}

//ALSO NOTE THAT WE HAVEN'T EXACTLY LINKED THE SERVICE'S EXPLANATION DIRECTLY TO THE BILL ITEM. ACTUALLY, AS A STOPGAP I'VE JUST INSERTED IT AS THE EXPLANATION.

function get_dog_data($dbase,$id){
	$resource=pg_query($dbase,"select * from dogs where (id = $id);");
	return pg_fetch_assoc($resource,0);
}

function get_person_data($dbase,$id){
        $resource=pg_query($dbase,"select * from people where (id = $id);");
        return pg_fetch_assoc($resource,0);
}

function get_account_data($dbase,$id){
        $resource=pg_query($dbase,"select * from accounts where (id = $id);");
        return pg_fetch_assoc($resource,0);
}

function get_boarding_stay_data_by_id($dbase,$id){
        $resource=pg_query($dbase,"select * from boarding_stays where (id = $id);");
        return pg_fetch_assoc($resource,0);
}

function get_boarding_stay_data($dbase,$dogid,$date){
	//Need to work out how to fix this now. for multiple dogs.
	$resource=pg_query($dbase,"select * from boarding_stays where (dogid = $dogid and start_date <= '$date' and end_date >= '$date');");
	if (($count=pg_num_rows($resource))==1) return pg_fetch_assoc($resource,0);
	else if ($count>1) echo "Error number 620".$br;
	return 0;
}

function get_daycare_day_data($dbase,$dogid,$date){
        $resource=pg_query($dbase,"select * from daycare_days where (dogid = $dogid and date='$date');");
        if (pg_num_rows($resource)) return pg_fetch_assoc($resource,0);
	else return 0;
}

function get_service_visit_data($dbase,$dogid,$date){
	$resource=pg_query($dbase,"select * from service_visits where (dogid = $dogid and date='$date');");
	if (pg_num_rows($resource)) return pg_fetch_assoc($resource,0);
	else return 0;
}

function get_service_type_data($dbase,$id){
	$resource=pg_query($dbase,"select * from service_types where (id = $id);");
	return pg_fetch_assoc($resource,0);
}

function get_service_data($dbase,$id){
        $resource=pg_query($dbase,"select * from services where (id = $id);");
        return pg_fetch_assoc($resource,0);
}

function get_bill_item_data($dbase,$id){
        $resource=pg_query($dbase,"select * from bill_items where (id = $id);");
        return pg_fetch_assoc($resource,0);
}

function multidog($dbase,$accountid){
	$account_res=pg_query($dbase,"select * from dogs where (accountid=$accountid and deathdate is null);");//Other conditions?
	if (pg_num_rows($account_res)>1) return 1;
	else return 0;
}

function rescue($dbase,$accountid){
	$account_res=pg_query($dbase,"select * from dogs where (accountid=$accountid and deathdate is null and rescue);");//IS THAT RIGHT?
	if(pg_num_rows($account_res)) return 1;
	else return 0;
}

function senior($dbase,$accountid){
        $account_data=get_account_data($dbase,$accountid);
	$people=splitup($account_data['people']);
	foreach ($people as $personid){
		$person_data=get_person_data($dbase,$personid);
		if($person_data['senior']) return 1;
	}
	return 0;
}//IS THIS RIGHT? ANY SENIOR ON THE ACCOUNT MEANS DISCOUNT?
 
function friends_and_family($dbase,$accountid){
	$account_data=get_account_data($dbase,$accountid);
	if($account_data['friends_and_family']) return 1;
	else return 0;
}

function punch_card_report($dbase,$accountid){
	$return="";
	$punch_card_res=pg_query($dbase,"select * from punch_cards where accountid=$accountid and num_remaining>0;");
	if($punch_card_res&& pg_num_rows($punch_card_res)){
		$return="Account #".$accountid." has:<br />";
		for($i=0;$i<pg_num_rows($punch_card_res);$i++){
			$punch_card_data=pg_fetch_assoc($punch_card_res,$i);
			if ($punch_card_data['half_day']) $length="half";
			else $length="full";
			$return=$return."one punch card with ".$punch_card_data['num_remaining']." $length"."-day punches.<br />";
		}
	}
	return $return;
}

function is_checked_in($dbase,$dogid){
	if (($boarding=get_boarding_stay_data($dbase,$dogid,date("Y-m-d")))
		&&$boarding['when_checked_in']&&!$boarding['when_checked_out']) return 2; 
	else if (($today=get_daycare_day_data($dbase,$dogid,date("Y-m-d")))
		&&$today['when_checked_in']&&!$today['when_checked_out']) return 1;
	else if (($this_visit=get_service_visit_data($dbase,$dogid,date("Y-m-d")))
		&&$this_visit['when_checked_in']&&!$this_visit['when_checked_out']) return 3;
	else return 0;
}

function was_checked_in($dbase,$dogid,$time){
        $res=pg_query($dbase,"select * from boarding_stays where (dogid = $dogid and ".
                "when_checked_in is not null and when_checked_in <= '$time' and ".
                "(when_checked_out is null or when_checked_out >= '$time'));");
	if($count=pg_num_rows($res)){
		if($count>1) return 6;
		else return 2;
	}
        $res=pg_query($dbase,"select * from daycare_days where (dogid = $dogid and ".
                "when_checked_in is not null and when_checked_in <= '$time' and ".
                "(when_checked_out is null or when_checked_out >= '$time'));");
        if($count=pg_num_rows($res)){
                if($count>1) return 7;
                else return 1;
        }
        $res=pg_query($dbase,"select * from service_visits where (dogid = $dogid and ".
		"when_checked_in is not null and when_checked_in <= '$time' and ".
		"(when_checked_out is null or when_checked_out >= '$time'));");
        if($count=pg_num_rows($res)){
                if($count>1) return 8;
                else return 3;
        }
        return 0;
}

function cost($dbase,$dogid,$code,$bill_item,$accountid,$time,$end){

//WE MUST SET $numdogs. So we must get either the boarding stay or... (as $service?)
	$numdogs=1;
	$service_type_data=get_service_type_data($dbase,$code);
	$ff=friends_and_family($dbase,$accountid);
	if($code>=1&&$code<=2||$code>=9){//DUNNO FOR 0.
		$status=was_checked_in($dbase,$dogid,$time);
		if(($timestamp=strtotime($time))>time()){//FUTURE
			$date=date("Y-m-d",$timestamp);
			if(get_boarding_stay($dogid,$date,$dbase)){
				$status=2;
			} else if (get_daycare_stay($dogid,$date,$dbase)){
				$status=1;
			} else if (get_service_visit($dogid,$date,$dbase)){
				$status=3;
			} else {
				$status=0;
			}
		}
	}
	//LET'S CHECK RIGHT NOW FOR A PRE-SET PRICE, AND PUT ANYTHING ELSE IN AN ELSE IF.
	if($ff){
		$cost=money_to_float($service_type_data['ff_price']);
		$explanation=$service_type_data['description']." (at friends and family rate)";
		if($code==7&&multidog($dbase,$accountid)){
			$cost=$cost-5;
			$explanation=$explanation." (with multi-dog discount)";
		} else if($code==8&&multidog($dbase,$accountid)){
			$cost=$cost-10;
			$explanation=$explanation." (with multi-dog discount)";
		}
	} else {
		//echo "DEBUG: Got HERE!".$br;
		$cost=money_to_float($service_type_data['default_price']);
		$explanation=$service_type_data['description'];
		if($code>=1&&$code<=8&&(multidog($dbase,$accountid)||senior($dbase,$accountid)||rescue($dbase,$accountid))){
			$sep="";
			//echo "DEBUG: cost=".$cost.$br;
			//echo "DEBUG: isfinite(cost)=".is_finite($cost).$br;
			$cost=$cost*(0.9);
			//echo "DEBUG: cost=".$cost.$br;
			
			$explanation=$explanation." (with 10% ";
			if(multidog($dbase,$accountid)){
				$explanation=$explanation."multi-dog";
				$sep="/";
			}
			if(rescue($dbase,$accountid)){
				$explanation=$explanation.$sep."rescue";
				$sep="/";
			}
			if(senior($dbase,$accountid)){
				$explanation=$explanation.$sep."senior";
			}
			$explanation=$explanation." discount)";
		} else if($status==2&&($code>=10&&$code<=13||$code==15)){
			$cost=$cost*0.8;
			$explanation=$explanation." (with boarding discount)";
		} else if($code>=16&&$code<=19||$code==21){
        		$year1=strtok($time,"-");
		        $month1=strtok("-");
		        $day1=strtok(" ");
		        $time1=strtok("");
		        $year2=strtok($end,"-");
		        $month2=strtok("-");
		        $day2=strtok(" ");
		        $time2=strtok("");
		        $jd1=gregoriantojd($month1,$day1,$year1);
		        $jd2=gregoriantojd($month2,$day2,$year2);
			$duration=$jd2-$jd1;
			$explanation=$duration." days' ".$explanation;
			$cost=$cost*$duration;
			if($code!=21){
				if($duration>=12){
					$cost=$cost*0.85;
					$explanation=$explanation." (with 15% discount for 12+ days)";
				} else if ($duration>=7){
					$cost=$cost*0.9;
					$explanation=$explanation." (with 10% discount for 7+ days)";
				}
			}
			if($code==19||$code==21){
				$explanation=$explanation." (".$numdogs." dogs)";
				$cost=$cost*$numdogs;
			}
			//MINUS DEPOSIT! IF THERE'S BEEN ANY.
		}
/*$discounts_res=pg_query($dbase,"select * from discounts where service_code=$service_code and (accountid=$accountid or dogid = $dogid);");
                for($i=0;$i<pg_num_rows($discounts_res);$i++){
                        $discount_data=pg_fetch_assoc($discounts_res,$i);
                        if($discount_data['cost_diff']) $cost=$cost+$discount_data['cost_diff'];
                        if($discount_data['cost_factor']) $cost=$cost*$discount_data['cost_factor'];
                        if($discount_data['explanation']) $explanation=$explanation." ".$discount_data['explanation'];
                }
 THIS DISCOUNT CODE BORROWED FROM DAILY_SCHEDULE AND NEEDS LOOKING AT.*/
	}
	$return=array();
	$return['cost']=$cost;
	$return['explanation']=$explanation;
	return $return;//DO WE WANT TO RETURN RELATED BILL_ITEMS IN A THIRD THING?
}

function is_cleared($dbase,$dogid){
	$dog_data=get_dog_data($dbase,$dogid);
	if($dog_data['cleared_for_daycare']) return 1;
	else return 0;
}
?>
