<?php /* Copyright © 2010 Daniel B. Cristofani.

This file is part of dogtrak.

dogtrak is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

dogtrak is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with dogtrak. If not, see <http://www.gnu.org/licenses/>. */

require ('./functions.php');
$dbase=connect();
$user_table_res=pg_query($dbase,"select * from information_schema.tables where table_name='users';");
if(!$user_table_res) die("Lost database connection");
if(pg_num_rows($user_table_res)){
	$user_list_res=pg_query($dbase,"select * from users");
	if(!$user_list_res) die("Lost database connection");
	if(pg_num_rows($user_list_res)){
		if (!isset($_SERVER['PHP_AUTH_USER'])||!isset($_SERVER['PHP_AUTH_PW'])){
		        header('WWW-Authenticate: Basic realm="'.$business_name.'"',true,401);
		        echo "Couldn't log in. You can reload and try again.".$br;
		        exit;
		}
		$username=addslashes($_SERVER['PHP_AUTH_USER']);
		$password=md5($_SERVER['PHP_AUTH_PW']);
		$user_res=pg_query($dbase,"select * from users where username='$username' and password='$password';");
		if(!$user_res||!pg_num_rows($user_res)){
	        	header('WWW-Authenticate: Basic realm="'.$business_name.'"',true,401);
	       		echo "Couldn't log in. You can reload and try again.".$br;
	        	exit;
		} else {
			$user_data=pg_fetch_assoc($user_res,0);
			$privilege=$user_data['privilege'];
		}
	}
} else {
	?>
	Setup stuff:<br />
	<a href="create_tables.php">Create Tables</a><br />
	<a href="setup_prices.php">Setup Prices</a><br />
	<a href="add_user.php">Add User</a><br /><hr />
	<?php
}
?>
<html>
<head>
<link rel="stylesheet" type="text/css" href="main.css" />
<style type="text/css">@import url(jscalendar-1.0/calendar-win2k-1.css);</style>
<script type="text/javascript" src="jscalendar-1.0/calendar.js"></script>
<script type="text/javascript" src="jscalendar-1.0/lang/calendar-en.js"></script>
<script type="text/javascript" src="jscalendar-1.0/calendar-setup.js"></script>
</head>
<body>
<table><tr><td><form method="get" action="dog_log.php"><button type="submit"><big>Dog Log</big></button></form></td><td><form method="get" action="daily_schedule.php"><button type="submit"><big>Today's Schedule</big></button></form></td><td><form method="get" action="show_dogs.php"><button type="submit"><big>Dogs</big></button></form></td><td><form method="get" action="show_accounts.php"><button type="submit"><big>Customers</big></button></form></td><td><form method="get" action="add_account.php"><button type="submit"><big>Add New Customer</big></button></form></td><td><form method="get" action="logout.php"><button type="submit"><big>Log out</big></button></form></td></tr></table><br />


<?php if ($privilege>1){ ?>
<table><tr><td><td><form method="get" action="add_user.php"><button type="submit"><big>Add Database User</big></button></form></td><td><form method="get" action="set_times.php"><button type="submit"><big>Arrange Schedule</big></button></form></td><td><form method="get" action="import_data.php"><button type="submit"><big>Import Data</big></button></form></td></tr></table><br /><hr />
<?php } else { ?>
<form method="get" action="switch_user.php"><button type="submit"><big>Switch Database User (e.g. to one with more power)</big></button></form>
<?php } ?>

