<?php /*Copyright © 2010 Daniel B. Cristofani.

This file is part of dogtrak.

dogtrak is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

dogtrak is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with dogtrak. If not, see <http://www.gnu.org/licenses/>. */

require ('./header.php'); ?>

<?php
$dbase=connect();

$dogid=$_GET['dogid'];
$dogids=$_GET['dogids'];
$dogdata=get_dog_data($dbase,$dogid);
if(!$dogdata){
	echo "There's been some bug. Dunno what dog you want.".$br;
} else if (!$dogdata['cleared_for_daycare']){
	echo dog_name_as_link($dbase,$dogid)." has not been approved for daycare or boarding,".$br;
	echo "and must first undergo a temperamental evaluation.".$br;
        ?>
        <form method="post" action="scheduled.php">
        Would you like to schedule an evaluation now for <?php echo dog_name_as_link($dbase,$dogid); ?>.<br />
        Date/time: <input type="text" id="date" name="date" />
        <img src="jscalendar-1.0/img.gif" id="cal"><br />
        <input type="submit" name="action" value="Schedule Temperamental Evaluation">
        <input type="hidden" name="dogid" value="<?php echo $dogid; ?>" />
        </form>
        <script type="text/javascript">Calendar.setup({inputField:"date",ifFormat:"%Y-%m-%d %H:%M",showsTime:"true",button:"cal"});</script>
        <br />
        <?php //DO WE WANT TO ASK FOR THE TIME AS WELL?
} else if ($_GET['action']=="Schedule Daycare" || $_GET['action']=="Schedule More Daycare"){
	?>
	<form method="post" action="scheduled.php">
	Scheduling daycare for <?php echo dog_name_as_link($dbase,$dogid); ?>.<br />
	Date: <input type="text" id="date" name="date" />
	<img src="jscalendar-1.0/img.gif" id="cal"><br />
	<input type="submit" name="action" value="Schedule Daycare">
	<input type="hidden" name="dogid" value="<?php echo $dogid; ?>" />
	</form>
	<script type="text/javascript">Calendar.setup({inputField:"date",ifFormat:"%Y-%m-%d",button:"cal"});</script>
	<br />
	<?php
} else if ($_GET['action']=="Schedule Boarding"||$_GET['action']=="Add dog"){
	//Thinking! WE NEED TO REMOVE DUPLICATES FROM TEH LIST.
	if(!$dogids) $dogids=$dogid;
	else $dogids=$dogids.", ".$dogid;
	?>
	<form method="get" action="choose_dog.php">
	<input type="hidden" name="dogids" value="<?php echo $dogid; ?>" />
	<input type="submit" name="action" value="Add another dog" />
	</form><br />
        <form method="post" action="scheduled.php">
        Scheduling boarding for <?php echo $dogids; ?><br />
	<?php echo dog_name_as_link($dbase,$dogid); ?>.<br />
        Drop-off date and time: <input type="text" id="date1" name="date1" />
        <img src="jscalendar-1.0/img.gif" id="cal1"><br />
	Pick-up date and time: <input type="text" id="date2" name="date2" />
        <img src="jscalendar-1.0/img.gif" id="cal2"><br />
        <input type="hidden" name="dogid" value="<?php echo $dogid; ?>" />
	<input type="hidden" name="dogids" value="<?php echo $dogids; ?>" />
	4x8 kennel<input type="radio" name="kennel_size" value="4x8" checked /><br />
	8x8 kennel<input type="radio" name="kennel_size" value="8x8" /><br />
        <input type="submit" name="action" value="Schedule Boarding">
        </form>
	<script type="text/javascript">Calendar.setup({inputField:"date1",ifFormat:"%Y-%m-%d %H:%M",showsTime:"true",button:"cal1"});</script>
	<script type="text/javascript">Calendar.setup({inputField:"date2",ifFormat:"%Y-%m-%d %H:%M",showsTime:"true",button:"cal2"});</script>
	<br />
        <?php
}
?>
<?php require ('./footer.php'); ?>
