<?php /* Copyright © 2010 Daniel B. Cristofani.

This file is part of dogtrak.

dogtrak is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

dogtrak is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with dogtrak. If not, see <http://www.gnu.org/licenses/>. */

require('./header.php');
$dbase=connect();
$today=date("Y-m-d");
if($_POST['action']=="Set times"){
	$service_ids=splitup($_POST['service_ids']);
	//echo "DEBUG: service_ids=".$service_ids;
	foreach ($service_ids as $service_id){
		//echo "DEBUG: service_id=".$service_id.$br;
		$start_time=$_POST[$service_id.'_start_time'];
		//echo "DEBUG: start_time = ".$start_time.$br;
		$end_time=$_POST[$service_id.'_end_time'];
		//echo "DEBUG: end_time = ".$end_time.$br;
		if(!$end_time) $end_time=$start_time;
		if($start_time){
		//WE MIGHT WANT TO ALLOW NOT TYPING THE COLON.
		//ALSO WE MIGHT WANT TO DISALLOW OVERLAPS ON THE BATHING.
		//AND HOW DOES THIS INTERACT WITH SCHEDULED EVALS?
			pg_query($dbase,"update services set (what_time_scheduled_for,scheduled_end) = ('$start_time','$end_time') where (id = $service_id);");
		}
	}
}

/*$dogids=array();
$boarding_stay_res=pg_query($dbase,"select * from boarding_stays where notnull when_checked_in and null when_checked_out and start_date <= 'now' and end_date >= 'now'"); 
for ($i=0;$i<pg_num_rows($boarding_stay_res);$i++){
        $staydata= pg_fetch_assoc($boarding_stay_res, $i);
	$dogids[]=($staydata['dogid']);
}
$daycare_res=pg_query($dbase,"select * from daycare_days where notnull when_checked_in and null when_checked_out and date = 'now'");
for ($i=0;$i<pg_num_rows($daycare_res);$i++){
        $daycare_data= pg_fetch_assoc($daycare_res, $i);
        $dogids[]=($daycare_data['dogid']);
}
NOT SURE IF WE WANT ANY OF THE ABOVE.*/
//Especially since it's all from dog_log.php. Still, may be useful.

$service_list_res=pg_query($dbase,"select * from services where (date = '$today') order by what_time_scheduled_for;");
$list_of_services="";
echo "<form method=\"post\" action=\"set_times.php\"><table>";
for($i=0;$i<pg_num_rows($service_list_res);$i++){
	$service_data=pg_fetch_assoc($service_list_res,$i);
	echo "<tr>";
	if($code=$service_data['service_code']){
		$service_type_data=get_service_type_data($dbase,$code);
		$description=$service_type_data['description'];
	} else {
		$description=$service_data['comment'];
	}
	echo td($description);
	if ($service_data['dogid']){
		echo td($done.dog_name_as_link($dbase,$service_data['dogid']).$done2);
	} else {
		echo td("");
	}
	if ($service_data['what_time_scheduled_for']){
		?>
		<td>Scheduled for </td><td><input type="text" size="10" name="<?php echo $service_data['id']; ?>_start_time" value="<?php echo $service_data['what_time_scheduled_for']; ?>" />&ndash;<input type="text" size="10" name="<?php echo $service_data['id']; ?>_end_time" value="<?php echo $service_data['scheduled_end']; ?>" />.

<?php
		$list_of_services=$list_of_services.$service_data['id'].",";
			//$service_data['what_time_scheduled_for']."-".$service_data['scheduled_end']);
	} else {
		?>
		<td></td><td>
		<input type="text" size="10" name="<?php echo $service_data['id']; ?>_start_time" />&ndash;<input type="text" size="10" name="<?php echo $service_data['id']; ?>_end_time" />
		<?php $list_of_services=$list_of_services.$service_data['id'].","; ?>
		</td>
		<?php
	}
	echo "</tr>";
//SHOULD WE MAKE SURE ALL TIMES ARE DISJOINT? OR JUST ALL BATH TIMES? SHOULD ASK.
//CRUCIALLY, MAKE ALL THESE PARTS OF THE SAME FORM. AND PASS A LIST OF WHICH SERVICE IDS THERE WERE. WHICH MEANS WE NEED THIS TO BE A POST, NOT A GET.

}
echo "</table><input type=\"hidden\" name=\"service_ids\" value=\"".$list_of_services."\" />
<input type=\"submit\" name=\"action\" value=\"Set times\" /></form>";
?>
<?php require ('./footer.php'); ?>
