<?php /* Copyright © 2010 Daniel B. Cristofani.

This file is part of dogtrak.

dogtrak is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

dogtrak is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with dogtrak. If not, see <http://www.gnu.org/licenses/>. */

require('./header.php');
$dbase=connect();

$bill_item_id=$_GET['bill_item_id'];
$bill_item_data=get_bill_item_data($dbase,$bill_item_id);

echo "#".$bill_item_id.$br;
echo $bill_item_data['cost'];
if ($bill_item_data['cost']<0){
	echo "credit for ".$bill_item_data['explanation'].$br;
	echo "credited ".$bill_item_data['when_credited'].$br;
} else {
	 if (!$bill_item_data['service']&&!$bill_item_data['boarding_stay']){
		if(!$bill_item_data['explanation']){
			echo "For daycare on ".$bill_item_data['date'].$br;
		} else {
			echo "For ".$bill_item_data['explanation'].$br;
		}
	} else if ($bill_item_data['service']){
		echo "For ".service_name_as_link($dbase,$bill_item_data['service']).$br;
	} else {
		$boarding_stay_data=get_boarding_stay_data($dbase,$bill_item_data['boarding_stay']);
		echo "For ".ahref("boarding from ".$boarding_stay_data['start_date']." to ".$boarding_stay_data['end_date']","show_boarding_stay.php?".$bill_item_data['boarding_stay']).$br;
	}

	echo "Billed ".$bill_item_data['when_billed'].$br;
	if ($bill_item_data['when_paid']){
		echo "Paid ".$bill_item_data['when_paid']." by ".$bill_item_data['how_paid'].$br;
	} else {
		echo "Not paid yet".$br;
	}
}
?>
<?php require ('./footer.php'); ?>
